Retrieve a delta
Returns counter definitions that have changed since the last delta token.
Caution
Read the Delta page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counter-definitions?delta
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-counter-definitions.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the counter definition. |
name.default |
string | — | Read-only | Default name value of the counter definition. |
name.translations |
object | — | Read-only | A list of translated names of the definition by language code. |
code |
string | — | Read-only | A counter code used for this definition. |
friendlyName.default |
string | — | Read-only | Default friendly name value for this definition shown to users. |
friendlyName.translations |
object | — | Read-only | A list of translated friendly names by language code. |
friendlyCode.default |
string | — | Read-only | Default friendly code value for this definition shown to users. |
friendlyCode.translations |
object | — | Read-only | A list of translated friendly codes by language code. |
isEnabled |
boolean | — | Read-only | Indicates if the counter definition is enabled in myProtime. |
counterGroup.id |
integer | — | Read-only | The ID of the associated counter group. |
unit |
string | — | Read-only | The unit type for the counter definition (Unknown, Interval, Duration, Instance). |
Filters
| Filter | Type | Description |
|---|---|---|
counter-group |
Optional | Filter by one or more counter groups |
enabled |
Optional | Filter by enabled status (true or false) |
Check the Fetching Resources page on how to use the filter.
External references
The endpoint supports predefined and custom external references. See the external references page for details and the predefined options list.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
counter-definitions |
@counter-code |
Supported |
counter-groups |
Not available | Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter syntax or unknown filter field |
401 |
Missing or invalid access token, or insufficient scope |
410 |
Delta token has expired (older than 72 hours) |
414 |
Request URI too long |
Examples
Retrieving delta changes for counter definitions
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counter-definitions?delta
Retrieving delta with filter
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counter-definitions?filter=enabled eq true&delta